/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.configuracio;

import javax.ejb.ApplicationException;

import edu.uoc.tcfj2ee_gatd.model.comu.GATDExcepcio;

/**
 * Excepció al gestionar la configuració.
 * Marca la transacció per a "rollback"
 * @author Jordi Tejero
 *
 */
@ApplicationException(rollback = true)
public class GATDExcepcioConfig extends GATDExcepcio {

	/**
	 * Versió per a la serialització
	 */
	private static final long serialVersionUID = 1L;



	/**
	 * Constructor
     * @param clau clau del missatge al "resource bundle" del missatges
     * @param aargs arguments addicionals per a formatar el missatge
	 */
	public GATDExcepcioConfig(String clau, Object...aargs) {
		super(clau, aargs);
		
	}

	/**
	 * Constructor a partir d'una altra GATDExcepcio G, sense clau ni arguments.
	 * Agafa els de G.
	 * @param cause la causa, G
	 */
	public GATDExcepcioConfig(GATDExcepcio cause) {
		super(cause);
		
	}

	

    /**
     * Constructor
     * @param cause
     * @param clau
     * @param aargs
     */
    public GATDExcepcioConfig(Throwable cause, String clau, Object...aargs) 
    {
        super(cause, clau, aargs);      
    }

}
