package edu.uoc.tcfj2ee_gatd.controlador.usuaris;

import java.util.Locale;

import javax.faces.context.FacesContext;
import javax.servlet.http.HttpSession;

import com.sun.faces.application.view.MultiViewHandler;

/**
 * Controlador de vista JSF que pren el "locale" d'un atribut de la
 * sessió HTTP.
 * <p>
 * Codi tret del llibre "Beginning JSF™ 2 APIs and 
 * JBoss® Seam" de Kent Ka Iok Tong. Ed. Apress, maig 2009.
 * </p> 
 * @author Kent Ka Iok Tong
 * @author Jordi Tejero
 *
 */
public class GATDViewHandler extends MultiViewHandler {
	
	//private final Logger logger = Logger.getLogger(this.getClass().getName());
	
    @Override
	public Locale calculateLocale(FacesContext context) {
    	Locale retorn = null;
        HttpSession session = (HttpSession) context.getExternalContext()
                .getSession(false);
        if (session != null) {
            String langCode = (String) session
                    .getAttribute(ControladorSessio.ATRIBUT_IDIOMA);
            if (langCode != null) {
            	retorn = new Locale(langCode);                
            }
        }
        
        if(retorn == null)
        	retorn = super.calculateLocale(context);
        
    /*	this.logger.finer(this.getClass().getSimpleName() + 
        		"#calculateLocale() -> " + retorn);*/

        return retorn;
    }
}