package edu.uoc.tcfj2ee_gatd.controlador.usuaris;

import javax.faces.application.Application;
import javax.faces.context.FacesContext;
import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;
import javax.faces.event.PhaseListener;

/**
 * Listener del cicle de vida JSF, que manté l'historial de les pàgines visitades
 * <p>
 * Codi creat a partir d'un exemple del llibre "Beginning JSF™ 2 APIs and 
 * JBoss® Seam" de Kent Ka Iok Tong. Ed. Apress, maig 2009.
 * </p> 
 * @author Jordi Tejero
 * @author Kent Ka Iok Tong
 *
 */
public class HistorialPhaseListener implements PhaseListener {
    /**
	 * Versió de serialització
	 */
	private static final long serialVersionUID = 1L;

	/* "Escoltarem" la fase JSF "render response"
	 * @see javax.faces.event.PhaseListener#getPhaseId()
	 */
	public PhaseId getPhaseId() {
        return PhaseId.RENDER_RESPONSE;
    }

    /* Afegim a l'historial la pàgina que es pinta
     * @see javax.faces.event.PhaseListener#beforePhase(javax.faces.event.PhaseEvent)
     */
    public void beforePhase(PhaseEvent event) {    
    	
        FacesContext context = FacesContext.getCurrentInstance();   
        Application app = context.getApplication();
    	
        ControladorSessio ctldSessio = app.evaluateExpressionGet(context, 
        	"#{sessio}", ControladorSessio.class);       
        assert ctldSessio != null;

        ctldSessio.afegeixHistorial(context.getViewRoot().getViewId(), 
        		ctldSessio.getQueryString());

    }

    /* Aquí no fem res
     * @see javax.faces.event.PhaseListener#afterPhase(javax.faces.event.PhaseEvent)
     */
    public void afterPhase(PhaseEvent event) {
    	/* no res */
    }
}
