/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.atencio;

import java.util.logging.Logger;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 * Autentificador. Estableix usuari i clau per a la sessió SMTP.
 * 
 * @author Jordi Tejero
 */
class AtentificadorEMailSenzill extends Authenticator {
	/**
	 * Logger 
	 */
	private Logger logger = Logger.getLogger(this.getClass().getCanonicalName());
	
	
	private PasswordAuthentication passwordAuthentication;
	
	/**
	 * Constructor
	 * @param usuari nom d'usuari SMTP
	 * @param clau clau d'accés SMTP
	 */
	AtentificadorEMailSenzill(String usuari, String clau) {
		this.passwordAuthentication = new PasswordAuthentication(usuari, clau);
	}
	
	/* Dona l'autentificació
	 * @see javax.mail.Authenticator#getPasswordAuthentication()
	 */
	@Override
    protected PasswordAuthentication getPasswordAuthentication() {   
		this.logger.finer(
			this.getClass().getSimpleName() 
			+ "#getPasswordAuthentication(): " 
    		+ this);
       return this.passwordAuthentication;
    }
	
	/*  Representació textual de l'objecte, per a depuració i proves.
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "[" + this.getClass().getSimpleName() + "] " +
		"Usuari: " + this.passwordAuthentication.getUserName() + ", " +
		"clau: " + this.passwordAuthentication.getPassword()
		;
	}
}
