/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.atencio;

import javax.ejb.ApplicationException;

import edu.uoc.tcfj2ee_gatd.model.comu.GATDExcepcio;

/**
 * Excepció a l'atenció de les peticions. Marca la transacció per a
 * "rollback".
 * @author Jordi Tejero
 *
 */
@ApplicationException(rollback = true)
public class GATDExcepcioAtencio extends GATDExcepcio {

	/**
	 * Versió per la serialització
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor
	 * @param clau clau del missatge, que pot ser <code>null</code>
	 * @param aargs arguments addicionals del missatge, que poden ser 
	 *  <code>null</code>
	 * @see GATDExcepcio#GATDExcepcio(String, Object...)
	 */
	public GATDExcepcioAtencio(String clau, Object... aargs) {
		super(clau, aargs);
		
	}

	/**
	 * Constructor a partir d'una altra GATDExcepcio G, sense clau ni arguments.
	 * Agafa els de G.
	 * @param cause causa de l'excepció
	 * @see GATDExcepcio#GATDExcepcio(GATDExcepcio)
	 */
	public GATDExcepcioAtencio(GATDExcepcio cause) {
		super(cause);
		
	}


	/**
	 * Constructor
	 * @param cause causa de l'excepció
	 * @param clau clau del missatge, que pot ser <code>null</code>
	 * @param aargs arguments addicionals del missatge, que poden ser 
	 * @see GATDExcepcio#GATDExcepcio(Throwable, String, Object...)
	 */
	public GATDExcepcioAtencio(Throwable cause, String clau, Object... aargs) {
		super(cause, clau, aargs);
		
	}

}
