/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.comu;

/**
 * Un missatge amb format. Consta d'una clau per a trobar-lo al
 * "resource bundle" de missatges de l'aplicació, més un seguit d'arguments 
 * addicionals.
 * <p>
 * El text final del missatge es formarà amb <code>M.format(A)</code>,
 * on <code>A</code> és el vector d'arguments addicionals i 
 * <code>M</code> un <code>MessageFormat</code> construït amb la clau
 * del missatge i el idioma de la sessió. 
 * </p>
 * @author Jordi Tejero
 *
 */
public interface IMissatgeAmbFormat {

	/**
	 * Dona la clau del missatge al "resource bundle"
	 * @return el valor de l'atribut <code>clau</code>
	 */
	public abstract String getClau();

	/**
	 * Dona els arguments addicionals del missatge
	 * @return el valor de l'atribut <code>aargs</code>
	 */
	public abstract Object[] getAargs();

}