/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.comu;

import java.text.Format;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Alguns mètodes i constants útils
 * @author Jordi Tejero
 *
 */
public class Util {

	/**
	 * Separador de líneas del sistema
	 */
	public static final String LS = System.getProperty("line.separator");

	/**
	 * Formateja una data com 
	 * [any]-[mes]-[dia] [hora (0-23)]:[minuts]
	 */
	private static final Format FMT_DATA = 
		new SimpleDateFormat("yyyy-MM-dd HH:mm"); 
		
	
	/**
	 * Formateja una data com 
	 * [any]-[mes]-[dia] [hora (0-23)]:[minuts]
	 * @param d la data a formatejar. Pot ser <code>null</code>
	 * @return la data [d] en el format indicat, o <code>null</code>
	 *  si <code>d == null</code>.
	 */
	synchronized public static final String fmt(Date d) {
		return d == null? null : Util.FMT_DATA.format(d);
	}
	
	/**
	 * Crea una data a partir de la seva representació textual
	 * @param d la data en format [any]-[mes]-[dia] [hora (0-23)]:[minuts],
	 *     o <code>null</code>
	 * @return la data representada per <code>d</code>, o <code>null</code> 
	 *  si <code>d == null</code>.
	 * @throws ParseException si d no és en el format indicat
	 */
	synchronized public static final Date parseDate(String d) 
	throws ParseException {
	    Date result;
            result = d == null || d.equals("")
            ? null : (Date)Util.FMT_DATA.parseObject(d);
        
        return result;
	}
	
	/**
	 * Dona un text representant un valor lògic
	 * @param b el valor lògic
	 * @return "cert" o "fals"
	 */
	synchronized public static final String fmt(boolean b) {
		return b? "cert" : "fals";
	}

}
