/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.peticions.entitats;

import java.util.ArrayList;
import java.util.Collection;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;

import edu.uoc.tcfj2ee_gatd.model.comu.Util;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Adreça;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Contacte;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.DocIdentitat;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Usuari;

 
/**
 * Un client registrat, que pot fer peticions
 * @author Jordi Tejero 
 *
 */
@Entity
public class Client extends Usuari {

	/**
	 * Totes les peticions fetes pel client, pendents o tancades.
	 * Estratègia de càrrega: <i>eager</i>:
	 */
	@OneToMany(mappedBy = "client", cascade = CascadeType.ALL)
	private Collection<Peticio> peticions = new ArrayList<Peticio>();
	
		
	/**
	 * Constructor sense paràmetres, obligatori
	 */
	public Client() {
		super();
	}

	/**
	 * Constructor amb tots els atributs de l'objecte
	 * @param nomUsuari
	 * @param clauAccess
	 * @param di
	 * @param contacte
	 * @param adreça
	 * @param codiIdioma 
	 */
	public Client(String nomUsuari, String clauAccess, DocIdentitat di,
			Contacte contacte, Adreça adreça, String codiIdioma) {
		super(nomUsuari, clauAccess, di, contacte, adreça, codiIdioma);		
	}

	/**
	 * Publica la llista de totes les peticions del client, pendents o
	 * tancades.
	 * @return la llista de les peticions
	 */
	public Collection<Peticio> getPeticions() {
		assert this.getLogger() != null;
		assert this.peticions != null;
		
		this.getLogger().finer("Client#getPeticions() id = " 
			+ this.getNomUsuari() + ". Peticions: " + this.peticions.size() + Util.LS +
			this);
		return this.peticions;
	}
	
	
	
}
