/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.peticions.entitats;

import javax.persistence.Column;
import javax.persistence.Entity;

import edu.uoc.tcfj2ee_gatd.model.comu.Util;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Adreça;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Contacte;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.DocIdentitat;
import edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Usuari;


/**
 * Un empleat, amb les seves dades laborals
 * @author Jordi Tejero
 *
 */
@Entity
public class Empleat extends Usuari {

	/**
	 * Número de la seguretat social, obligatori
	 */
	@Column(length = 20)
	private String numSS;
	
	/**
	 * Constructor sense paràmetres
	 */
	public Empleat() {
		super();
	}

	/**
	 * Constructor
	 * @param nomUsuari
	 * @param clauAccess
	 * @param di
	 * @param contacte
	 * @param adreça
	 * @param codiIdioma
	 */
	public Empleat(String nomUsuari, String clauAccess, DocIdentitat di,
			Contacte contacte, Adreça adreça, String codiIdioma,
			String numSS) {
		super(nomUsuari, clauAccess, di, contacte, adreça, codiIdioma);
		this.numSS = numSS;
	}

	/**
	 * Accessor de lectura del número de la seguretat social
	 * @return el valor de l'atribut <code>numSS</code>
	 */
	public String getNumSS() {
		return this.numSS;
	}

	/**
	 * Accessor d'escriptura a l'atribut numSS
	 * @param numSS el nou valor de l'atribut numSS
	 */
	public void setNumSS(String numSS) {
		this.numSS = numSS;
	}

	/* Representació textual de l'objecte, per a depuració i proves
	 * @see edu.uoc.tcfj2ee_gatd.model.usuaris.entitats.Usuari#toString()
	 */
	@Override
	public String toString() {
		return super.toString() + Util.LS +
		"SS: " + this.numSS;
	}

}
