/**
 * 
 */
package edu.uoc.tcfj2ee_gatd.model.usuaris.entitats;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;

import edu.uoc.tcfj2ee_gatd.model.comu.Entitat;
import edu.uoc.tcfj2ee_gatd.model.peticions.entitats.Seu;




/**
 * Un districte postal
 * @author Jordi Tejero
 *
 */
@Entity
@NamedQuery(name = "totsDP", query = "SELECT dp FROM DistrictePostal dp")
public class DistrictePostal extends Entitat {

	/**
	 * El codi postal
	 */
	@Id @Column(length = 5)
	private String codi;
	
	/**
	 * La seu a la que pertany. Pot ser <code>null</code> si no pertany
	 * a cap
	 */
	private Seu seu;
	
	/**
	 * Constructor sens paràmetres
	 */
	public DistrictePostal() {
		super();
	}

	/**
	 * Constructor amb el codi i la seu
	 * @param codi el codi
	 * @param seu la seu o <code>null</code>
	 */
	public DistrictePostal(String codi, Seu seu) {
		super();
		this.codi = codi;
		this.seu = seu;
	}

	/**
	 * Constructor amb el codi i sense seu
	 * @param codi el codi
	 */
	public DistrictePostal(String codi) {
		this(codi, null);
	}

	/**
	 * Accessor de lectura de l'atribut codi
	 * @return el valor de l'atribut <code>codi</code>
	 */
	public String getCodi() {
		return this.codi;
	}

	/**
	 * Estableix el codi postal
	 * @param codi el nou valor de l'atribut codi
	 */
	public void setCodi(String codi) {
		this.codi = codi;
	}

	/**
	 * Accessor de lectura de la seu que atèn el districte
	 * @return el valor de l'atribut <code>seu</code>
	 */
	public Seu getSeu() {
		return this.seu;
	}
	/**
	 * Accessor d'escriptura a la seu que atén el districte
	 * @param seu la seu
	 */
	public void setSeu(Seu seu) {
		this.seu = seu;
		
	}

	
}
